﻿#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

bool comp(int a, int b)
{
    return a > b;
}

bool check(vector<int> A)
{
    int sum = 0;
    for (int i = 0; i < A.size(); i++)
    {
        sum += A[i];
    }

    if (sum % 3 != 0) {
        return false;
    }

    sort(A.begin(), A.end(), comp);

    int S = sum / 3;

    for (int i = 0; i < 3; i++)
    {
        if (A[i] > S)
        {
            return false;
        }

        int c = S - A[i];

        bool f = false;

        for (int j = i + 1; j < A.size(); ++j)
        {
            if (A[j] == c)
            {
                f = true;
                swap(A[j], A[i + 3]);
                break;
            }
        }
        if (!f)
        {
            return false;
        }
    }

    return true;
}

int main()
{
    int n;
    cin >> n;

    for (int i = 0; i < n; i++)
    {
        vector<int> A(6);

        for (int j = 0; j < 6; j++)
        {
            cin >> A[j];
        }

        if (check(A))
        {
            cout << "yes" << endl;
        }
        else
        {
            cout << "no" << endl;
        }
    }
}