﻿//#include <iostream>
//#include <string>
//#include <algorithm>
//#include <vector>
//
//using namespace std;
//
//char moonCom(char a, char b) {
//    return min(a, b);
//}
//
//string summ(string a, string b)
//{
//    string res;
//    int A = a.size();
//    int B = b.size();
//    int maxi = max(A, B);
//
//    for (int i = 0; i < maxi; ++i) 
//    {
//        char digitA = (i < A) ? a[A - 1 - i] : '0';
//        char digitB = (i < B) ? b[B - 1 - i] : '0';
//        res.push_back(max(digitA, digitB));
//    }
//
//    reverse(res.begin(), res.end());
//    return res;
//}
//
//string com(string a, string b) {
//    vector<string> A;
//
//    for (int i = b.size() - 1; i >= 0; --i) {
//        string s(b.size() - 1 - i, '0');
//
//        for (int j = a.size() - 1; j >= 0; --j) {
//            s.push_back(moonCom(a[j], b[i]));
//        }
//
//        reverse(s.begin(), s.end());
//        A.push_back(s);
//    }
//
//    string res = "0";
//    for (string s : A) {
//        res = summ(res, s); 
//    }
//
//    return res;
//}
//
//int main()
//{
//    string a, b;
//    cin >> a >> b;  
//
//    cout << summ(a, b) << endl;
//
//    cout << com(a, b) << endl;
//
//}



#include <iostream>
#include <string>
#include <algorithm>
#include <vector>

using namespace std;


char sumAdd(char a, char b) {
    return max(a, b);
}

char comAdd(char a, char b) {
    return min(a, b);
}

string summa(string a, string b) {
    string res;
    int maxLength = max(a.size(), b.size());

    for (int i = 0; i < maxLength; ++i) {
        char digit1 = (i < a.size()) ? a[a.size() - 1 - i] : '0';
        char digit2 = (i < b.size()) ? b[b.size() - 1 - i] : '0';
        res.push_back(sumAdd(digit1, digit2));
    }

    reverse(res.begin(), res.end());
    return res;
}

string composition(string a, string b) {
    vector<string> A;

    for (int i = b.size() - 1; i >= 0; --i) {
        string s(b.size() - 1 - i, '0');

        for (int j = a.size() - 1; j >= 0; --j) {
            s.push_back(comAdd(a[j], b[i]));
        }

        reverse(s.begin(), s.end()); 
        A.push_back(s);
    }

    string res = "0";
    for (string s : A) {
        res = summa(res, s); 
    }

    return res;
}

int main() {
    string a, b;
    cin >> a >> b;

    cout << summa(a, b) << " " << composition(a, b) << endl;

    return 0;
}
